wibble::sys::Pipe::Writer Struct Reference

`#include <pipe.h>`

Inheritance diagram for wibble::sys::Pipe::Writer:
[legend]
Collaboration diagram for wibble::sys::Pipe::Writer:
[legend]

## Public Member Functions

| Writer ()
void * | main ()
| Main thread function, executed in the new thread after creation. More...
bool | done ()
void | run (int _fd, std::string what)
Public Member Functions inherited from wibble::sys::Thread
virtual | ~Thread ()
void | start ()
| Start the thread. More...
void | startDetached ()
| Start the thread in the detached state. More...
void * | join ()
| Join the thread. More...
void | detach ()
| Put the thread in the detached state. More...
void | cancel ()
| Send a cancellation request to the thread. More...
void | kill (int signal)
| Sent a signal to the thread. More...

## Public Attributes

int | fd
bool | close
std::string | data
bool | running
bool | closed
wibble::sys::Mutex | mutex

## Additional Inherited Members

Protected Member Functions inherited from wibble::sys::Thread
virtual const char * | threadTag ()
| Short tag describing this thread, used in error messages and identification. More...
void | testcancel ()
| Callback function used to start the thread. More...

## Constructor & Destructor Documentation

## Writer()

wibble::sys::Pipe::Writer::Writer | ( |  | ) |

inline

## Member Function Documentation

## done()

bool wibble::sys::Pipe::Writer::done | ( |  | ) |

inline

References data, mutex, and running.

Referenced by main().

## main()

void* wibble::sys::Pipe::Writer::main | ( |  | ) |

inline virtual

Main thread function, executed in the new thread after creation.

When main() exits, the new thread ends and main() result will be the thread exit result

Implements wibble::sys::Thread.

References wibble::sys::Pipe::blocking(), close, data, done(), fd, mutex, running, and wibble::sys::Pipe::write().

## run()

void wibble::sys::Pipe::Writer::run | ( | int | _fd,
|  | std::string | what
| ) |  |

inline

References assert_eq, assert_neq, data, fd, mutex, running, and wibble::sys::Thread::start().

Referenced by wibble::sys::Pipe::write().

## Member Data Documentation

## close

bool wibble::sys::Pipe::Writer::close

Referenced by wibble::sys::Pipe::close(), and main().

## closed

bool wibble::sys::Pipe::Writer::closed

## data

std::string wibble::sys::Pipe::Writer::data

Referenced by done(), main(), and run().

## fd

int wibble::sys::Pipe::Writer::fd

Referenced by main(), and run().

## mutex

wibble::sys::Mutex wibble::sys::Pipe::Writer::mutex

Referenced by wibble::sys::Pipe::close(), done(), main(), and run().

## running

bool wibble::sys::Pipe::Writer::running

Referenced by wibble::sys::Pipe::close(), done(), main(), and run().

The documentation for this struct was generated from the following file:

- pipe.h